<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript ex 3</title>
</head>

<body>

    <script>
        //ex 19
        //new object approach
        let company1 = new Object();
        company1.idid = 1,
            company1.name = "Arco Vara",
            company1.logo = "https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC",
            company1.established = "1994-07-04",
            company1.employees = 20,
            company1.revenue = 3640000,
            company1.netIncome = -540000,
            company1.securities = 8998367,
            company1.securityPrice = 1.09,
            company1.dividends = 0.01,
            company1.marketCapitalization = 9808220.03,
            company1.dividendYield = 0.01
        console.log(company1);

        //Ex20
        // object literal approach

        let company2 =
        {
            "id": 2,
            "name": "Baltika",
            "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=BLT",
            "established": "1997-05-09",
            "employees": 946,
            "revenue": 4.469E7,
            "netIncome": -5120000.0,
            "securities": 4079485,
            "securityPrice": 0.32,
            "dividends": 0.0,
            marketCapitalization: 1305435.2,
            dividendYield: null
        };
        console.log(company2);

        //EX21
        class Company {
            constructor({
                id,
                name,
                logo,
                established,
                employees,
                revenue,
                netIncome,
                securities,
                securityPrice,
                dividends,
                marketCapitalization,
                dividendYield
            }
            ) {
                this.id = id;
                this.name = name;
                this.logo = logo;
                this.established = established;
                this.employees = employees;
                this.revenue = revenue;
                this.netIncome = netIncome;
                this.securities = securities;
                this.securityPrice = securityPrice;
                this.dividends = dividends;
                this.marketCapitalization = marketCapitalization;
                this.dividendYield = dividendYield;

            }
        }

        // let company3 = new Company({...company2})
        let company3 = new Company(
            {
                "id": 5,
                "name": "LHV Group",
                "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=LHV",
                "established": "2005-01-25",
                "employees": 366,
                "revenue": 6.454E7,
                "netIncome": 2.524E7,
                "securities": 26016485,
                "securityPrice": 11.75,
                "dividends": 0.21,
                "marketCapitalization": 3.0569369875E8,
                "dividendYield": 0.02
            }
        );

        let company4 = new Company(
            {
                "id": 9,
                "name": "Tallink Grupp",
                "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=TAL",
                "established": "1997-08-21",
                "employees": 7201,
                "revenue": 9.4972E8,
                "netIncome": 4.005E7,
                "securities": 669882040,
                "securityPrice": 0.96,
                "dividends": 0.12,
                "marketCapitalization": 6.430867584E8,
                "dividendYield": 0.13

            }

        );
        console.log(company3);
        console.log(company4);

    </script>



</body>

</html>